#!/bin/bash

WD=`dirname $0`
. $WD/common

# Send installation log to anturis
# use "plaintext" arg for passing messaga to stdout instead of mail
PANEL=$(detect_panel)
if [ "$PANEL" == "plesk" ] ; then
    ERROR_LOG="$PLESK_LOG"
else
    ERROR_LOG="$CPANEL_LOG"
fi

REPORT_EMAIL="rustyhex@anturis.com"
HOSTNAME=`hostname`
AGENT_CONFIG=`grep -v password $ANTURIS_PATH/etc/agent-service.ini` # do not send password
INSTALL_LOG=`cat $LOG_PATH`

MESSAGE="Agent config:\n${AGENT_CONFIG}\n\n======================\n\nInstall log:\n${INSTALL_LOG}\n"
SUBJECT="$PANEL plugin error report from $HOSTNAME"

echo -e "$MESSAGE\n\n======================\n\nError log:\n"
cat "$ERROR_LOG"

